<?php

/*
  Plugin Name: WP Schema Plugin
  Plugin URI: https://wpschemaplugin.com
  Description: The Ultimate Schema Tool for WordPress to help novice and advanced users build structured schema that search engines love to see
  Version: 2.0
  Author: WP Schema Plugin
 */

if (!defined('ABSPATH')) {
    exit;
}

if (!defined('WPSCHEMA_VERSION')) {
    define('WPSCHEMA_VERSION', '2.0');
}

$schematic_file = __FILE__;
$schematic_dir = plugin_dir_path($schematic_file);
$schematic_page_url = plugin_dir_url($schematic_file);

require_once $schematic_dir . 'src/compatability.php';

$schematicCompatability = new SchematicCompatability();
if ($schematicCompatability->getError()) {
    return false;
}

require_once $schematic_dir . 'vendor/autoload.php';
require_once $schematic_dir . 'src/config.php';
require_once $schematic_dir . 'src/functions.php';
require_once $schematic_dir . 'src/shortcodes.php';
require_once $schematic_dir . 'src/api.php';
require_once $schematic_dir . 'src/admin/settings.php';
require_once $schematic_dir . 'src/admin/installation.php';
require_once $schematic_dir . 'src/admin/schematic/schematic.php';
require_once $schematic_dir . 'src/admin/schematic/schematic-view.php';
require_once $schematic_dir . 'src/admin/schematic-options-view.php';
require_once $schematic_dir . 'src/admin/upgrade.php';
require_once $schematic_dir . 'src/public.php';